﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DataSource_List
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LoadSectionReport();
        }

        private void LoadSectionReport()
        {
            ListSectionReport rpt = new ListSectionReport();
            rpt.DataSource = GetData();
            rpt.Run();

            viewer1.Document = rpt.Document;
        }

        private void LoadPageReport()
        {
            GrapeCity.ActiveReports.PageReport report = new GrapeCity.ActiveReports.PageReport(new System.IO.FileInfo("ListPageReport.rdlx"));
            GrapeCity.ActiveReports.Document.PageDocument document = new GrapeCity.ActiveReports.Document.PageDocument(report);

            document.LocateDataSource += new GrapeCity.ActiveReports.LocateDataSourceEventHandler(document_LocateDataSource);
            viewer1.LoadDocument(document);
        }

        void document_LocateDataSource(object sender, GrapeCity.ActiveReports.LocateDataSourceEventArgs args)
        {
            if (args.DataSourceName == "ListDataSource" && args.DataSetName == "ListDataSet")
            {
                args.Data = GetData();
            }    
        }

        private List<Product> GetData()
        {
            List<Product> list = new List<Product>();
            for (int i = 1; i <= 20; i++)
            {
                list.Add(new Product(){ID=i,Name="产品"+i.ToString(),Price =i * 10f,Stock=i * 20});
            }
            return list;
        }
    }
}
